Signature contains the payload that was signed, the public keys of the keypairs used to produce the signature, the signature (encoded in hex), and the SignatureType. PublicKey is often times not known during construction of the signing payloads but may be needed to combine signatures properly.

export
interface

  RosettaSignature

### Hierarchy

- RosettaSignature

## Index

### Properties

- hex_bytes
- public_key
- signature_type
- signing_payload

## Properties

### hex_bytes

hex_bytes: string

- Defined in src/generated/models/RosettaSignature.ts:56

memberof

  RosettaSignature

### public_key

public_key: RosettaPublicKey

- Defined in src/generated/models/RosettaSignature.ts:44

memberof

  RosettaSignature

### signature_type

signature_type: RosettaSignatureSignatureTypeEnum

- Defined in src/generated/models/RosettaSignature.ts:50

SignatureType is the type of a cryptographic signature.

memberof

  RosettaSignature

### signing_payload

signing_payload: SigningPayload

- Defined in src/generated/models/RosettaSignature.ts:38

memberof

  RosettaSignature

Generated using TypeDoc